﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace xamDateNavigator_Behavior
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<DateTime> SelectedDates { get; set; }

        public MainWindow()
        {
            SelectedDates = new ObservableCollection<DateTime>();

            this.DataContext = this;

            InitializeComponent();
        }

        private void btnSelectedDatesSet(object sender, RoutedEventArgs e)
        {
            SelectedDates.Clear();

            SelectedDates.Add(new DateTime(2012, 10, 21));
            SelectedDates.Add(new DateTime(2012, 10, 25));
            SelectedDates.Add(new DateTime(2012, 10, 28));
        }
    }
}
